%define		_class		XML
%define		_subclass	RDDL
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	0.9
Release:	%mkrel 21
Summary:	Read RDDL (Resource Directory Description Language) documents
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/XML_RDDL/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This class provides an easy-to-use interface to extract RDDL resources
from XML documents. More on RDDL can be found at https://www.rddl.org/

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.9-21.mga10
+ Revision: 2208174
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.9-20.mga9
+ Revision: 1818222
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9-19.mga8
+ Revision: 1499232
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.9-18.mga7
+ Revision: 1274162
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 0.9-17.mga6
+ Revision: 964602
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9-16.mga5
+ Revision: 743856
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9-15.mga5
+ Revision: 687515
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9-14.mga4
+ Revision: 517376
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9-13.mga3
+ Revision: 377418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.9-12.mga1
+ Revision: 44432
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_RDDL


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9-12mdv2011.0
+ Revision: 613796
- the mass rebuild of 2010.1 packages

* Wed Nov 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-11mdv2010.1
+ Revision: 464959
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.9-10mdv2010.0
+ Revision: 441761
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9-9mdv2009.1
+ Revision: 322831
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9-8mdv2009.0
+ Revision: 237166
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9-7mdv2007.0
+ Revision: 82893
- Import php-pear-XML_RDDL

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9-1mdk
- initial Mandriva package (PLD import)

